Description: I'm getting this message on the logs.

<pre>
...
Sending email notification to: endersonmaia@<OMITED>
The following error occured while sending email notification: "Expected 
/var/www/chiliproject.production/app/models/version.rb to define VERSION". Check your configuration in 
config/configuration.yml.
...
</pre> 

I've migrates chiliproject to another server, and now I'm getting this message.

Everything in the chiliproject code are the same between deploys, just the database config is different.

The different is in the ruby version, I'm using ruby 1.9.3-p385.

I'm running the test suite right now to see if I get any clues.

History
2013-02-19 10:47 pm - Enderson Maia
Forget to mention about the log message.

I can't find anywhere that has a VERSION constant to be defined, or any reference to this constant.

2013-02-20 02:04 pm - Enderson Maia
THAT'S NOT THE CORRECT SOLUTION

When I added the constant VERSION in the file app/models/version.rb, I sovled the problem.

<pre>
...
VERSION = '0.1'
class Version < ActiveRecord::Base
...
</pre>

I think it has something to do with load paths, but not figured the right way to solve it yet.

2013-02-20 09:05 pm - Holger Just
- Status changed from Open to Needs more information

This should definitely not be necessary. I suspect you have some plugins installed which mess with the load order. Please paste the full stack trace from 
the log. Also, please specify your ruby version and the complete list of your custom plugins. 
2013-05-22 09:18 pm - Enderson Maia
- Status changed from Needs more information to Closed

I was using the Rails plugin @action_mailer_optional_tls@.

I removed @vendor/plugins/action_mailer_optional_tls@, and changed the @config/configuration.yml@ :

<pre>
   email_delivery:
     delivery_method: :smtp
     smtp_settings:
-      tls: true
+      enable_starttls_auto: true
       address: "smtp.gmail.com"
       port: 587 
</pre>

Solved my problem, I'm closing the issue.
